Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.rgpext
Class EPPRgpExtRestore

    java.lang.Object
      com.verisign.epp.codec.rgpext.EPPRgpExtRestore

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRgpExtRestore

extends java.lang.Object
implements EPPCodecComponent

The EPPRgpExtRestore is the EPPCodecComponent that knows how to encode and decode RGP restore elements from/to XML and object instance.

Title: EPP 1.0 RGP

Description: RGP Extension to the EPP SDK

Copyright: Copyright (c) 2004

Company: VeriSign

Version:
  1.0
Author:
  clloyd
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` The restore XML element name
`static java.lang.String` | `REPORT` Constant value for report operation
`static java.lang.String` | `REQUEST` Constant value for request operation

Constructor Summary
`EPPRgpExtRestore()` Default constructor that will set the `op` to `REQUEST`.
`EPPRgpExtRestore(EPPRgpExtReport aReport)` Creates a restore report extension.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRgpExtRestore`.
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from this RGP inf data to the given DOM Document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRgpExtRestore` compare.
`java.lang.String` | `getOp()` Get the value of the current op attibut.
`EPPRgpExtReport` | `getReport()` Get the RGP report instance contained in this RGP restore instance
`void` | `setOp(java.lang.String op)` Set the value of the current op attribute.
`void` | `setReport(EPPRgpExtReport report)` Set the RGP report instance in this RGP restore instance

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST

    public static final java.lang.String REQUEST

  Constant value for request operation

  See Also:
    Constant Field Values

### REPORT

    public static final java.lang.String REPORT

  Constant value for report operation

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  The restore XML element name

  See Also:
    Constant Field Values

Constructor Detail

### EPPRgpExtRestore

    public EPPRgpExtRestore()

  Default constructor that will set the `op` to `REQUEST`.

### EPPRgpExtRestore

    public EPPRgpExtRestore(EPPRgpExtReport aReport)

  Creates a restore report extension. The `op` is set to `REPORT`.

  Parameters:
    `aReport` - Report information

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from this RGP inf data to the given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRgpExtRestore` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRgpExtRestore` instance to compare with
  Returns:
    true if equal false otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRgpExtRestore`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRgpExtRestore`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getReport

    public EPPRgpExtReport getReport()

  Get the RGP report instance contained in this RGP restore instance

  Returns:
    the RGP report instance contained in this RGP restore instance

### setReport

    public void setReport(EPPRgpExtReport report)

  Set the RGP report instance in this RGP restore instance

  Parameters:
    `report` - the new RGP report instance

### getOp

    public java.lang.String getOp()

  Get the value of the current op attibut. Should be either "request" or "report"

  Returns:
    the value of the current op attibute

### setOp

    public void setOp(java.lang.String op)

  Set the value of the current op attribute. Should be either "request" or "report". Use the REQUEST or REPORT static final constants contained in this class to set.

  Parameters:
    `op` - the value of the current op attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.